/////////////////////////////////////////////////// Plot - Fit.h (mwx,07.09.06)
#import <Cocoa/Cocoa.h>
#import "Expression.h"
#import "plot.h"
#import "mrqmin.h"
#import "fnumdf.h"
@class Manager;
@class PlotDocument;
@class PlotView;

@interface Fit : NSObject {
	@public

	int act[MAXPEAK],act1[MAXPEAK],act2[MAXPEAK];      ///// acitve lists /////

	char *t1[MAXPEAK][MAXCOL],*t2[MAXPEAK][MAXCOL];      ///// text lists /////

	int nixt[MAXPEAK][MAXCOL];
	int ncypmax,startpar,fiterr;

	id ep[MAXPEAK];                                       ///// expressions /////
	int ed[MAXPEAK];                                       ///// some flags /////

	float *ptab,*ptmin,*ptmax,*ptmm,*daj,*pkint,*pkwt,*pkper;  ///// buffer /////
	int npix,nptab,nmfit,*irel,*iirel,*krel,*prel,*mfit,*ifunc;
	float chisq,rmsd;
	BOOL haveResult;

	const char *const *files;                            ///// name pointer /////

	PlotDocument *PD;
	Manager *M;

	IBOutlet id f_msg,f_preview,fitTable,fitInspector,f_mouse;
	IBOutlet id f_limit,f_points,f_min,f_max;


	NSMutableString *msg1,*msg2;
	BOOL Break,haveInt;
}
- (void)msgOut:(int)line:(NSString *)amsg;
- init;
- (void)setupFit:(Manager *)manager:(PlotDocument *)plotdocument;
- (void)setParam:(double)a:(double)b;
- (void)update;
- (IBAction)fitDidCanhe:(id)sender;
- (int)readtab;
- writeTable;
- (void)fit;
- prevexp:(int)all:(int)mode;
- (int)parseFunction:(char *)f:(Expression *)e:(int)line;
- (double)calcVal:(double)x:(double)A:(double)B:(double)C:(double)D:
                 (double)E:(int)nr;

- (IBAction)start:(id)sender;
- (IBAction)back:(id)sender;
- (IBAction)preview:(id)sender;
- (IBAction)exportSum:(id)sender;
- (IBAction)exportAll:(id)sender;
- (IBAction)load:(id)sender;

@end ////////////////////////////////////////////////////////////////////// END
